import request from '@/utils/request'

// 查询技术参数列表
export function listTechParam(query) {
  return request({
    url: '/document/tech/list',
    method: 'get',
    params: query
  })
}

// 查询技术参数详细
export function getTechParam(TechParamId) {
  return request({
    url: '/document/tech/' + TechParamId,
    method: 'get'
  })
}

// 查询技术参数下拉树结构
export function treeselect() {
  return request({
    url: '/document/tech/treeSelect',
    method: 'get'
  })
}

// 新增技术参数
export function addTechParam(data) {
  return request({
    url: '/document/tech',
    method: 'post',
    data: data
  })
}

// 修改技术参数
export function updateTechParam(data) {
  return request({
    url: '/document/tech',
    method: 'put',
    data: data
  })
}

// 删除技术参数
export function delTechParam(techParamId) {
  return request({
    url: '/document/tech/' + techParamId,
    method: 'delete'
  })
}

