import request from '@/utils/request'
import download from "@/utils/download";

//获取部门资产编号
export function getDeptAssetNumber() {
  return request({
    url: '/material/asset/deptAssetNumber',
    method: 'get'
  })
}

// 资产入库
export function addAsset(data) {
  return request({
    url: '/material/asset',
    method: 'post',
    data: data
  })
}

// 查询资产列表
export function listAsset(data) {
  return request({
    url: '/material/asset/list',
    method: 'post',
    data: data
  })
}

// 查询资产详情
export function getAsset(assetId) {
  return request({
    url: '/material/asset/' + assetId,
    method: 'get'
  })
}

// 修改资产
export function updateAsset(data) {
  return request({
    url: '/material/asset',
    method: 'put',
    data: data
  })
}

// 删除分类
export function delAsset(assetId) {
  return request({
    url: '/material/asset/' + assetId,
    method: 'delete'
  })
}

//导出数据
export function exportAsset() {
  return download({
    url: '/material/asset/export',
    method: 'get',
    responseType: 'blob'
  })
}
