import request from '@/utils/request'

// 查询分类树结构数据
export function categoryTree() {
  return request({
    url: '/material/category/tree',
    method: 'get'
  })
}

// 查询分类详细
export function getCategory(CategoryId) {
  return request({
    url: '/material/category/' + CategoryId,
    method: 'get'
  })
}

// 新增分类
export function addCategory(data) {
  return request({
    url: '/material/category',
    method: 'post',
    data: data
  })
}

// 修改分类
export function updateCategory(data) {
  return request({
    url: '/material/category',
    method: 'put',
    data: data
  })
}


// 删除分类
export function delCategory(CategoryId) {
  return request({
    url: '/material/category/' + CategoryId,
    method: 'delete'
  })
}

// 查询分类列表（无条件）
export function listCategory() {
  return request({
    url: '/material/category/list',
    method: 'get'
  })
}

// 查询分类列表（排除节点）
export function listCategoryExcludeChild(categoryId) {
  return request({
    url: '/material/category/list/exclude/' + categoryId,
    method: 'get'
  })
}






