import request from '@/utils/request'
import download from '@/utils/download'

// 查询物料计划列表
export function listMaterial(query) {
  return request({
    url: '/material/material/list',
    method: 'get',
    params: query
  })
}

// 查询物料计划详细
export function getMaterial(materialId) {
  return request({
    url: '/material/material/' + materialId,
    method: 'get'
  })
}

// 新增物料计划
export function addMaterial(data) {
  return request({
    url: '/material/material',
    method: 'post',
    data: data
  })
}

// 修改物料计划
export function updateMaterial(data) {
  return request({
    url: '/material/material',
    method: 'put',
    data: data
  })
}


// 删除物料计划
export function delMaterial(materialId) {
  return request({
    url: '/material/material/' + materialId,
    method: 'delete'
  })
}

//导出数据
export function exportMaterial(data) {
  return download({
    url: '/material/material/export',
    method: 'get',
    responseType: 'blob',
    params: data
  })
}
