import request from '@/utils/request'
import download from '@/utils/download'

// 查询办公物品列表
export function listOfficeSupply(query) {
  return request({
    url: '/material/office/list',
    method: 'get',
    params: query
  })
}

// 查询办公物品详细
export function getOfficeSupply(materialId) {
  return request({
    url: '/material/office/' + materialId,
    method: 'get'
  })
}

// 新增办公物品
export function addOfficeSupply(data) {
  return request({
    url: '/material/office',
    method: 'post',
    data: data
  })
}

// 修改办公物品
export function updateOfficeSupply(data) {
  return request({
    url: '/material/office',
    method: 'put',
    data: data
  })
}


// 删除办公物品
export function delOfficeSupply(materialId) {
  return request({
    url: '/material/office/' + materialId,
    method: 'delete'
  })
}

//导出数据
export function exportOfficeSupply(data) {
  return download({
    url: '/material/office/export',
    method: 'get',
    responseType: 'blob',
    params: data
  })
}
