import request from '@/utils/request'


// 资产流转
export function addTransfer(data) {
  return request({
    url: '/material/asset/transfer',
    method: 'post',
    data: data
  })
}


// 查询资产流转列表
export function getTransferList(assetId) {
  return request({
    url: '/material/asset/transfer/list/' + assetId,
    method: 'get'
  })
}

// 查询个人领用列表
export function personReceive(data) {
  return request({
    url: '/material/asset/transfer/personReceive',
    method: 'get',
    params: data
  })
}

// 领用确认
export function confirmReceive(transferId) {
  return request({
    url: '/material/asset/transfer/confirmReceive/' + transferId,
    method: 'get'
  })
}

// 耗材领用记录
export function consumablesReceiveList(data) {
  return request({
    url: '/material/asset/transfer/consumablesReceiveList',
    method: 'post',
    data: data
  })
}

export function monthCheck() {
  return request({
    url: '/material/asset/transfer/monthCheck',
    method: 'get'
  })
}

export function getMonthCheckList(data) {
  return request({
    url: '/material/asset/transfer/getMonthCheckList',
    method: 'get',
    params: data
  })
}

export function personMonthCheckList(data) {
  return request({
    url: '/material/asset/transfer/personMonthCheckList',
    method: 'get',
    params: data
  })
}

export function monthCheckConfirm(data) {
  return request({
    url: '/material/asset/transfer/monthCheckConfirm',
    method: 'post',
    data: data
  })
}

