import request from '@/utils/request'

/**
 * 获取运维提醒配置
 * @param id
 * @returns {*}
 */
export function getEnforceRemindList(id) {
  return request({
    url: '/enforceRemind/getList?enforceId='+id,
    method: 'get'
  })
}

/**
 * 删除运维提醒配置信息
 * @param id
 * @returns {*}
 */
export function deleteEnforceRemindById(id) {
  return request({
    url: '/enforceRemind/deleteById?id='+id,
    method: 'get'
  })
}

/**
 * 编辑运维提醒配置信息
 * @param data
 * @returns {*}
 */
export function editEnforceRemind(data){
  return request({
    url: '/enforceRemind/editEnforceRemind',
    method: 'post',
    data:data
  })
}


//获取运维提醒数量
export function getEnforceRemindCount(){
  return request({
    url: '/enforceRemind/getEnforceRemindCount',
    method: 'get',
  })
}
