import request from '@/utils/request'

/**
 * 保存工作计划内容
 * @param data
 * @returns {*}
 */
export function saveWorkPlans(data){
  return request({
      url: "/workPlan/saveWorkPlan",
      method: "POST",
      data: data
    }
  )
}

/**
 * 更新工作计划
 * @param data
 * @returns {*}
 */
export function updateWorkPlan(data){
  return request({
      url: "/workPlan/updateWorkPlan",
      method: "POST",
      data: data
    }
  )
}

/**
 * 添加工作计划
 * @param data
 * @returns {*}
 */
export function addWorkPlan(data){
  return request({
      url: "/workPlan/addWorkPlan",
      method: "POST",
      data: data
    }
  )
}

/**
 * 获取登录用户某周工作内容
 * @param weeks
 * @returns {*}
 */
export function getMeetingsAndWorkPlansByWeeks(weeks){
  return request({
    url: "/workPlan/getMeetingsAndWorkPlansByWeeks?weeks=" + weeks,
    method: "GET"
  })
}

/***
 * 根据ID删除工作计划信息
 * @param id
 * @returns {*}
 */
export function deleteWorkPlanById(id){
  return request({
    url: "/workPlan/deleteWorkPlanById?id=" + id,
    method: "GET"
  })
}

/**
 * 获取项目列表
 * @returns {*}
 */
export function getProjects(){
  return request({
    url: "/workPlan/getProjects",
    method: "GET"
  })
}

/**
 * 获取工作用户下周工作计划
 */
export function getWorkPlanByWeeks(weeks,userId,meetingId){
  return request({
    url: "/workPlan/getWorkPlanByWeeks?weeks="+weeks+"&userId="+userId+"&meetingId="+meetingId,
    method: "GET"
  })
}

/**
 * getWorkPlanConfirmFlag
 */
export function getWorkPlanConfirmFlags(data){
  return request({
    url: "/workPlan/getWorkPlanConfirmFlag",
    method: "POST",
    data: data
  })
}



