import request from '@/utils/request'

// 查询字典列表
export function listDict(query) {
  return request({
    url: '/system/dict/type/list',
    method: 'get',
    params: query
  })
}


// 查询字典详细
export function getDict(dictId) {
  return request({
    url: '/system/dict/type/' + dictId,
    method: 'get'
  })
}

// 新增字典
export function addDict(data) {
  return request({
    url: '/system/dict/type',
    method: 'post',
    data: data
  })
}

// 修改字典
export function updateDict(data) {
  return request({
    url: '/system/dict/type',
    method: 'put',
    data: data
  })
}

// 删除字典
export function delDict(dictId) {
  return request({
    url: '/system/dict/type/' + dictId,
    method: 'delete'
  })
}

export function refreshDictCache() {
  return request({
    url: '/system/dict/type/refreshCache',
    method: 'get'
  })
}


// 根据字典类型查询字典数据信息
export function getDictData(dictType) {
  return request({
    url: '/system/dict/type/data?dictType=' + dictType,
    method: 'get'
  })
}
