import request from '@/utils/request'

// 查询分类列表
export function listCategory(query) {
  return request({
    url: '/task/category/list',
    method: 'get',
    params: query
  })
}

// 查询分类详细
export function getCategory(CategoryId) {
  return request({
    url: '/task/category/' + CategoryId,
    method: 'get'
  })
}

// 新增分类
export function addCategory(data) {
  return request({
    url: '/task/category',
    method: 'post',
    data: data
  })
}

// 修改分类
export function updateCategory(data) {
  return request({
    url: '/task/category',
    method: 'put',
    data: data
  })
}


// 删除分类
export function delCategory(CategoryId) {
  return request({
    url: '/task/category/' + CategoryId,
    method: 'delete'
  })
}

// 查询分类列表（无条件）
export function getCategoryList() {
  return request({
    url: '/task/category/getCategoryList',
    method: 'get'
  })
}

