import request from '@/utils/request'

// 查询项目列表
export function listProject(query) {
  return request({
    url: '/task/project/list',
    method: 'get',
    params: query
  })
}

// 查询项目详细
export function getProject(ProjectId) {
  return request({
    url: '/task/project/' + ProjectId,
    method: 'get'
  })
}

// 新增项目
export function addProject(data) {
  return request({
    url: '/task/project',
    method: 'post',
    data: data
  })
}

// 修改项目
export function updateProject(data) {
  return request({
    url: '/task/project',
    method: 'put',
    data: data
  })
}


// 删除项目
export function delProject(ProjectId) {
  return request({
    url: '/task/project/' + ProjectId,
    method: 'delete'
  })
}

// 归档项目
export function archiveProject(data) {
  return request({
    url: '/task/project/archive',
    method: 'post',
    data: data
  })
}

// 查询项目列表
export function getProjectTree(query) {
  return request({
    url: '/task/project/projectTree',
    method: 'get',
    params: query
  })
}

// 查询项目列表
export function getProjectList(type) {
  return request({
    url: '/task/project/getProjectList/' + type,
    method: 'get'
  })
}

// 新增项目
export function projectTaskList(data) {
  return request({
    url: '/task/project/projectTaskList',
    method: 'post',
    data: data
  })
}

