import request from '@/utils/request'

// 查询任务列表
export function listTask(data) {
  return request({
    url: '/task/task/list',
    method: 'post',
    data: data
  })
}

// 查询任务详细
export function getTask(TaskId) {
  return request({
    url: '/task/task/' + TaskId,
    method: 'get'
  })
}

// 新增任务
export function addTask(data) {
  return request({
    url: '/task/task',
    method: 'post',
    data: data
  })
}

// 修改任务
export function updateTask(data) {
  return request({
    url: '/task/task',
    method: 'put',
    data: data
  })
}


// 删除任务
export function delTask(TaskId) {
  return request({
    url: '/task/task/' + TaskId,
    method: 'delete'
  })
}

// 删除任务
export function delTaskWithReason(data) {
  return request({
    url: '/task/task/removeWithReason',
    method: 'post',
    data:data
  })
}

// 查询任务视图列表
export function listView(data) {
  return request({
    url: '/task/task/viewList',
    method: 'post',
    data: data
  })
}

// 查询项目视图列表
export function listProjectView(data) {
  return request({
    url: '/task/task/projectViewList',
    method: 'post',
    data: data
  })
}

// 添加任务反馈
export function addTaskFeedback(data) {
  return request({
    url: '/task/task/addFeedback',
    method: 'post',
    data: data
  })
}

// 查询任务反馈
export function getFeedbackList(taskId, date) {
  return request({
    url: '/task/task/getFeedbackList?taskId=' + taskId + '&date=' + date,
    method: 'get'
  })
}


// 任务审批
export function auditTask(data) {
  return request({
    url: '/task/task/audit',
    method: 'post',
    data: data
  })
}

// 任务分解
export function splitTask(data) {
  return request({
    url: '/task/task/split',
    method: 'post',
    data: data
  })
}

//确认评论
export function confirmComment(parmas) {
  return request({
    url: '/task/task/confirmComment',
    method: 'get',
    params: parmas
  })
}

//查询子任务列表
export function childrenTask(data) {
  return request({
    url: '/task/task/children',
    method: 'post',
    data: data
  })
}


//查询工作台待办任务
export function toDoTaskList() {
  return request({
    url: '/task/task/todo',
    method: 'get'
  })
}

export function projectAuditConfigs(parmas) {
  return request({
    url: '/task/audit/projectAuditConfigs',
    method: 'get',
    params: parmas
  })
}

export function taskAuditConfigs(parmas) {
  return request({
    url: '/task/audit/taskAuditConfigs',
    method: 'get',
    params: parmas
  })
}

export function getDeleteTasks(data) {
  return request({
    url: '/task/task/getDeleteTasks',
    method: 'post',
    data: data
  })
}
